Enroll a customer-side installer run
curl --request POST \
--url https://api.openworklabs.com/v1/managed-deployments/{deploymentId}/runs/{runId}/enroll \
--header 'Content-Type: application/json' \
--data '
{
"headers": {
"authorization": "<string>",
"x-amz-date": "<string>",
"x-amz-security-token": "<string>",
"x-openwork-proof": "<string>"
}
}
'import requests
url = "https://api.openworklabs.com/v1/managed-deployments/{deploymentId}/runs/{runId}/enroll"
payload = { "headers": {
"authorization": "<string>",
"x-amz-date": "<string>",
"x-amz-security-token": "<string>",
"x-openwork-proof": "<string>"
} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
headers: {
authorization: '<string>',
'x-amz-date': '<string>',
'x-amz-security-token': '<string>',
'x-openwork-proof': '<string>'
}
})
};
fetch('https://api.openworklabs.com/v1/managed-deployments/{deploymentId}/runs/{runId}/enroll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Managed deployments
Enroll a customer-side installer run
Called by the installer in the customer’s cloud. Verifies its signed cloud identity and run challenge, then issues a single-use run token.
POST
/
v1
/
managed-deployments
/
{deploymentId}
/
runs
/
{runId}
/
enroll
Enroll a customer-side installer run
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Show child attributes
Show child attributes
Response
Enroll a customer-side installer run
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Was this page helpful?